org.apache.sysds.runtime.io

## Class FrameReaderTextCell

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReader
  - - org.apache.sysds.runtime.io.FrameReaderTextCell

- Direct Known Subclasses:
    FrameReaderTextCellParallel

      public class FrameReaderTextCell
      extends FrameReader

  Single-threaded frame textcell reader.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameReaderTextCell()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FrameBlock` | `readFrameFromHDFS(String fname, Types.ValueType[] schema, String[] names, long rlen, long clen)`
    `FrameBlock` | `readFrameFromInputStream(InputStream is, Types.ValueType[] schema, String[] names, long rlen, long clen)`

    - ### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

      `getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameReaderTextCell

          public FrameReaderTextCell()

  - ### Method Detail

    - #### readFrameFromHDFS

          public final FrameBlock readFrameFromHDFS(String fname,
                                                    Types.ValueType[] schema,
                                                    String[] names,
                                                    long rlen,
                                                    long clen)
                                             throws IOException,
                                                    DMLRuntimeException

      Specified by:
        `readFrameFromHDFS` in class `FrameReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### readFrameFromInputStream

          public final FrameBlock readFrameFromInputStream(InputStream is,
                                                           Types.ValueType[] schema,
                                                           String[] names,
                                                           long rlen,
                                                           long clen)
                                                    throws IOException,
                                                           DMLRuntimeException

      Specified by:
        `readFrameFromInputStream` in class `FrameReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.